@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM 
@REM  Licensed Materials - Property of IBM
@REM  5725-C94, 5725-C95, 5725-C96
@REM  (C) Copyright IBM Corporation 2013, 2016. All Rights Reserved.
@REM  US Government Users Restricted Rights- Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM *************************************************************************
@REM END COPYRIGHT

@echo off
setlocal

set WAS_USER_SCRIPT=
set USER_INSTALL_ROOT=

call "%~dp0setupCmdLine.bat" %*
cd /d "%~dp0.."

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console

SET WAS_LOGGING=-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByLoggingPropertiesFile=true

set LOGGING_PROPS=-Djava.util.logging.config.file="%WAS_HOME%\util\migration\resources\logging.properties"
set SSL_PROPS=-Dcom.ibm.SSL.ConfigURL="file:///%WAS_HOME%/util/migration/resources/ssl.client.props"
set SOAP_CLIENT_PROPS=-Dcom.ibm.SOAP.ConfigURL="file:///%WAS_HOME%/util/migration/resources/soap.client.props"
set LOGGING_FILTER_PROP="-Dcom.ibm.bpm.migration.logging.StringFilter.excludes=equals(WSVR0072W);equals(WSVR0801I);equals(WKSP0500);equals(CWWMH0110E);equals(ADMC0046W);equals(SIB_MESSAGE);equals(SOME_FUTURE_MESSAGES_SUPPRESSED_CWSIU0005);equals(chain.started);contains(tmx4jTransform.jar);contains(sun.awt.backingStore)"

set COMMAND_NAME_PROPS=-Dmig.command.name=%~n0

:Loop
IF "%1" == "" GOTO Ahead
IF "%1" == "-reportDir" (
	SET REPORT_DIR=%~2
	GOTO Forward
)
:Forward
shift /1
shift /1
GOTO Loop
:Ahead

set REPORT_DIR=%REPORT_DIR:\=/%

set REPORT_DIR_PROPS=-Dmig.snapshot.root="%REPORT_DIR%"

SET ENABLE_DEBUG=false
IF %ENABLE_DEBUG% == true (
	SET DEBUG_PROP="-agentlib:jdwp=transport=dt_socket,server=y,suspend=y,address=9999"   
)ELSE (
	SET DEBUG_PROP=
)

@REM *************************************************************************
@REM
@REM Enabling custom password encryption
@REM
@REM If you enabled the custom password encryption to protect passwords
@REM that are contained in your WebSphere(R) Application Server configuration,
@REM uncomment the following properties. Replace
@REM "com.ibm.wsspi.security.crypto.CustomPasswordEncryptionImpl" with your
@REM custom password encryption class name.
@REM
@REM In addition, follow the "Enabling custom password encryption" instructions
@REM to create an OSGi bundle from your custom password encryption JAR file
@REM and copy the wrapped OSGi bundle to the plugin folder.
@REM After migration, remove the OSGI bundle from the plugin folder.
@REM 
@REM *************************************************************************
@REM SET CUSTOMPWDPROPS=-Dcom.ibm.wsspi.security.crypto.customPasswordEncryptionClass=com.ibm.wsspi.security.crypto.CustomPasswordEncryptionImpl
@REM SET CUSTOMPWDPROPS=%CUSTOMPWDPROPS% -Dcom.ibm.wsspi.security.crypto.customPasswordEncryptionEnabled=true

set PARAM=%*
set PARAM=%PARAM:\=/%


"%JAVA_HOME%\bin\java" -Djava.endorsed.dirs="%WAS_ENDORSED_DIRS%" %DEBUG_PROP% %COMMAND_NAME_PROPS% %LOGGING_FILTER_PROP% %SSL_PROPS% %SOAP_CLIENT_PROPS% %LOGGING_PROPS% %OSGI_INSTALL% %OSGI_CFG% %CONSOLE_ENCODING% "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%WAS_HOME%" %CUSTOMPWDPROPS% -Dws.ext.dirs="%WAS_EXT_DIRS%" -classpath "%WAS_CLASSPATH%;%WAS_HOME%\lib\j2ee.jar;%WAS_HOME%\properties;%WAS_HOME%\BPM\Lombardi\lib\xbean.jar;%WAS_HOME%\plugins\com.ibm.bpm.migration.logging.jar" com.ibm.wsspi.bootstrap.WSPreLauncher -nosplash -application com.ibm.ws.bootstrap.WSLauncher com.ibm.bpm.migration.validation.BPMPreValidation -preValidation %PARAM%
set RC=%ERRORLEVEL%

endlocal & exit /b %RC%
